rawEIC-methods {xcms} | R Documentation

## Get extracted ion chromatograms for specified m/z range

### Description

Generate extracted ion chromatogram for m/z values of interest. The raw data is used in contrast to `getEIC` which uses data from the profile matrix.

### Arguments

`object` | `xcmsRaw` object
`massrange` | m/z range for EIC
`scanrange` | scan range for EIC

### Value

A list of :

`scan` | scan number
`intensity` | added intensity values

### Methods

object = "xcmsRaw"
  `rawEIC(object, massrange, scanrange=c(1,length(object@scantime)))`

### Author(s)

Ralf Tautenhahn, rtautenh@ipb-halle.de

### See Also

`xcmsRaw-class`

[Package xcms version 1.16.3 Index]